LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Mandriva
User Name
Password
Mandriva This Forum is for the discussion of Mandriva (Mandrake) Linux.

Notices


Reply
  Search this Thread
Old 07-20-2005, 06:51 AM   #1
palanca
LQ Newbie
 
Registered: Jul 2005
Location: Italy
Distribution: Mandriva
Posts: 6

Rep: Reputation: 0
can't find GLIB installing XMMS-1.2.10...


ok
maybe being a newbie could be ok,
but sometimes I feel a dummy...

unpacked xmms-1.2.10
launched ./configure
it returns:
Code:
the glib-configure script installed by GLIB could not be found 
if GLIB was installed in PREFIX, make sure PREFIX/bin is in
your path, or set the GLIB_CONFIG environment variable to the
full path to glib-config
so?
I think it's in /usr/include/glib-2.0/glib
but how can I insert this in the path?
(this remind me the old PATH line in AUTOEXEC.BAT, but I don't know where to find the linux equivalent)

(ok, I'm not SO confident with linux, but being a little confident with english can do with this)

thanx

Last edited by palanca; 07-20-2005 at 06:52 AM.
 
Old 07-20-2005, 10:25 AM   #2
thinhla
Member
 
Registered: Jun 2005
Distribution: Mandrakelinux 10.1
Posts: 52

Rep: Reputation: 15
XMMS doesn't use glib-2.0 and gtk+-2.0 for that matter. XMMS utilizes glib-1.2 and gtk+-1.2 only which can coexit with glib-2.0 and gtk+-2.0. If you compile XMMS from source you need to install these packages first

libglib1.2-devel-1.2.10-15mdk.i586
ibgtk+1.2-devel-1.2.10-41mdk.i586
libxmms1-1.2.10-16mdk.i586 (maybe or maybe not)

libaudiofile0-devel-0.2.6-3mdk.i586
libesound0-devel-0.2.35-2mdk.i586

libmikmod2-3.1.11-3mdk.i586
libmikmod2-devel-3.1.11-3mdk.i586

libalsa2-devel-1.0.8-15mdk.i586
libogg0-devel-1.1.2-1mdk.i586
libvorbis0-devel-1.1.0-1mdk.i586

Search for and install them first before making ./configure
When you have downloaded the file, installing means that you just have to double click on the file and enter your root password to install.

Here's the link for RPM http://rpmfind.net/linux/RPM/

If you don't want to compile from source which I recommend, you need these packages installed for XMMS player

Main Program(required)
libxmms1-1.2.10-16mdk.i586
xmms-1.2.10-16mdk.i586

Otional
- For skins
xmms-skins-1.0.0-17mdk.noarch

- For MIDI support
slang-1.4.9-12.i386
timidity++-2.13.0-3.i386
xmms-midi-0.03-1.i386

- For context menu in Nautilus
xmms-nautilus-0.2-3mdk.i5

Better yet, I recommend Beep Media Player which you need to install/rpm these packages. And
Beep Media Player uses glib2.0 and gtk+2.0 libraries

Required:
libid3_3.8_3-3.8.3-7mdk.i586
libbeep-media-player2-0.9.7-6mdk.i586
beep-media-player-0.9.7-6mdk.i586

Optional:
beep-media-player-extra-plugins-0.2.2-2mdk.i586
beep-media-player-esd-0.9.7-6mdk.i586

I believe they are all in main. As I mentioned, search for them at http://rmpfind.net or http://rpm.pbone.net/

Hope that helps

Last edited by thinhla; 07-20-2005 at 10:53 AM.
 
Old 07-20-2005, 05:00 PM   #3
palanca
LQ Newbie
 
Registered: Jul 2005
Location: Italy
Distribution: Mandriva
Posts: 6

Original Poster
Rep: Reputation: 0
I'm speechless when it comes to thank you!
really exaustive stuff
thanx again

palanca
 
Old 07-21-2005, 10:14 AM   #4
thinhla
Member
 
Registered: Jun 2005
Distribution: Mandrakelinux 10.1
Posts: 52

Rep: Reputation: 15
Quote:
Originally posted by palanca
.....
really exaustive stuff
...

palanca
Learn how to install software using the built-in full-blown package manager in Mandriva. You'll soon find out that it can save you a lot of time and headache.

Reference links:
http://www.zebulon.org.uk/ICML0.HTML <--- Instructions and documentation
http://easyurpmi.zarb.org/ <--- to set up your urpmi sources through various FTP
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
glib cannot be found when installing xmms bonniehandi Linux - Newbie 8 12-05-2005 05:55 AM
installing xmms (glib..atk...) nadroj Linux - Newbie 6 04-12-2005 02:41 PM
Installing XMMS Error with glib Egan Linux - Software 4 12-21-2004 10:31 AM
Xmms configure can't find glib shootempolitely Linux - Newbie 3 12-13-2004 09:28 PM
GLIB problems installing xmms 1.2.9 Dancingsalad Linux - Software 4 02-08-2004 06:04 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Mandriva

All times are GMT -5. The time now is 06:07 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration